Rotate webhook signing secret
Webhooks
Rotate webhook signing secret
Generates a new signing secret for the webhook endpoint. The old secret remains valid for 24 hours to allow for graceful migration.
POST
Rotate webhook signing secret
Authorizations
Server-side secret key header. Format: sk_live_* (production) or sk_test_* (testing).
Path Parameters
Response
New secret generated
Example:
"00000000-0000-4000-8000-000000000123"
Available options:
webhook_endpoint Available options:
enabled, disabled Available options:
verification.state_changed, verification.completed, verification.failed, verification.canceled, verification.expired Example:
[
"verification.completed",
"verification.failed"
]Display-safe prefix of the endpoint signing secret.
Example:
"whsec_abcd1234"
Environment that owns the endpoint.
Available options:
test, live Consecutive failed delivery attempts for this endpoint.
Required range:
x >= 0HMAC signing secret (only shown once)
Example:
"whsec_abc123xyz"